#include <stdlib.h>
#include <stdio.h>
#include "malloc.h"

void *xmalloc(size_t n)
{
  void *p=malloc(n);
  if(p==NULL){
    fprintf(stderr, "Fatal error: out of memory\n");
    exit(1);
  }
  return p;
}

void *xrealloc(void *ptr, size_t n)
{
  void *p=realloc(ptr, n);
  if(p==NULL){
    fprintf(stderr, "Fatal error: out of memory\n");
    exit(1);
  }
  return p;
}
